
package com.tmerclub.cloud.combo.model;

import com.tmerclub.cloud.common.model.BaseModel;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 套装
 *
 * @author tmerclub
 * @date 2022-08-16 09:18:06
 */
public class Combo extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 套装id
     */
    private Long comboId;

    /**
     * 套餐名称
     */
    private String name;

    /**
     * 活动开始时间
     */
    private Date startTime;

    /**
     * 活动结束时间
     */
    private Date endTime;

    /**
     * 主商品id
     */
    private Long mainSpuId;

    /**
     * 套餐价格
     */
    private Long price;

    /**
     * 销量
     */
    private Integer soldNum;

    /**
     * 店铺id
     */
    private Long shopId;

    /**
     * 状态 -1：已删除 0：关闭 1:进行中
     */
    private Integer status;

    public Long getComboId() {
        return comboId;
    }

    public void setComboId(Long comboId) {
        this.comboId = comboId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public Long getMainSpuId() {
        return mainSpuId;
    }

    public void setMainSpuId(Long mainSpuId) {
        this.mainSpuId = mainSpuId;
    }

    public Long getPrice() {
        return price;
    }

    public void setPrice(Long price) {
        this.price = price;
    }

    public Integer getSoldNum() {
        return soldNum;
    }

    public void setSoldNum(Integer soldNum) {
        this.soldNum = soldNum;
    }

    public Long getShopId() {
        return shopId;
    }

    public void setShopId(Long shopId) {
        this.shopId = shopId;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    @Override
    public String toString() {
        return "Combo{" +
                "comboId=" + comboId +
                ",name=" + name +
                ",createTime=" + createTime +
                ",updateTime=" + updateTime +
                ",startTime=" + startTime +
                ",endTime=" + endTime +
                ",mainProdId=" + mainSpuId +
                ",price=" + price +
                ",soldNum=" + soldNum +
                ",shopId=" + shopId +
                ",status=" + status +
                '}';
    }
}
